| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxHtmlRenderingInfo Class Reference
Class List by Category » HTML

`#include <wx/html/htmlcell.h>`

## Detailed Description

This class contains information given to cells when drawing them.

Contains rendering state, selection information and rendering style object that can be used to customize the output.

##

Library: wxHTML
Category: HTML

See also
  Cells and Containers, wxHtmlCell

## Public Member Functions

| wxHtmlRenderingInfo ()
| Default ctor. More...
void | SetSelection (wxHtmlSelection *s)
| Accessors. More...
wxHtmlSelection * | GetSelection () const
| Accessors. More...
void | SetStyle (wxHtmlRenderingStyle *style)
| Accessors. More...
wxHtmlRenderingStyle & | GetStyle ()
| Accessors. More...
wxHtmlRenderingState & | GetState ()
| Accessors. More...

## Constructor & Destructor Documentation

wxHtmlRenderingInfo::wxHtmlRenderingInfo | ( |  | ) |

Default ctor.

## Member Function Documentation

wxHtmlSelection* wxHtmlRenderingInfo::GetSelection | ( |  | ) | const

Accessors.

wxHtmlRenderingState& wxHtmlRenderingInfo::GetState | ( |  | ) |

Accessors.

wxHtmlRenderingStyle& wxHtmlRenderingInfo::GetStyle | ( |  | ) |

Accessors.

void wxHtmlRenderingInfo::SetSelection | ( | wxHtmlSelection * | s | ) |

Accessors.

void wxHtmlRenderingInfo::SetStyle | ( | wxHtmlRenderingStyle * | style | ) |

Accessors.